POST api/badgemappingapi/add?siteId={siteId}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
siteId

globally unique identifier

None.

Body Parameters

BadgeMappingViewModel
NameDescriptionTypeAdditional information
id

globally unique identifier

None.

site_id

globally unique identifier

None.

source_code

string

String length: inclusive between 0 and 30

target_code

string

String length: inclusive between 0 and 30

description

string

String length: inclusive between 0 and 80

application_date

date

None.

Request Formats

application/json, text/json

Sample:
{
  "id": "9ee4ab82-a08a-49c0-9baa-8bc6eb2a47b3",
  "site_id": "828804c0-1f1e-45df-8d3b-9693b41c80ba",
  "source_code": "sample string 3",
  "target_code": "sample string 4",
  "description": "sample string 5",
  "application_date": "2026-03-10T09:19:56.6171581+00:00"
}

application/xml, text/xml

Sample:
<badgemapping xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <application_date>2026-03-10T09:19:56.6171581+00:00</application_date>
  <description>sample string 5</description>
  <id>9ee4ab82-a08a-49c0-9baa-8bc6eb2a47b3</id>
  <site_id>828804c0-1f1e-45df-8d3b-9693b41c80ba</site_id>
  <source_code>sample string 3</source_code>
  <target_code>sample string 4</target_code>
</badgemapping>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

globally unique identifier

Response Formats

application/json, text/json

Sample:
"a37a09bf-5717-4c17-a21a-b80c43c8393e"

application/xml, text/xml

Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">a37a09bf-5717-4c17-a21a-b80c43c8393e</guid>